Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000051Storage Pooling[All Projects] Generalpublic2011-05-30 00:022011-08-30 12:05
Reporterstigma 
Assigned ToBrahim 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindows 7 x64OS VersionSP1
Summary0000051: Automerge with space-split priority does not dsitribute data evenly but just fills up the DRUs one by one
DescriptionAutomerge with space-split priority does not dsitribute data evenly but just fills up the DRUs one by one. If more data is copied than one DRU can hold, it continues onto the next but does not seems to actually distribute the data in any appreciable way.
Steps To Reproducehttp://www.openegg.org/forums/posts/list/821.page#8196 [^]

this post explains step by step how this was produced (and re-produced in later trials)
TagsNo tags attached.
Merge Mode Auto-Space-Priority
RAID-F Version 2.0beta1
Attached Filesrar file icon FlexRAID.sys - Copy.rar [^] (167,515 bytes) 2011-06-01 02:57
txt file icon ViewConfig.txt [^] (193 bytes) 2011-07-26 23:30 [Show Content]
log file icon log.log [^] (7,950 bytes) 2011-07-26 23:40

- Relationships

-  Notes
(0000198)
Brahim (manager)
2011-05-31 12:43

Did you mark any of the drives as restricted?

I looked at the code and can't really see yet why the space balancing feature would not work.
If you could post the content of the generated ViewConfig.txt file in the root installation directory, that would be helpful.
(0000200)
Brahim (manager)
2011-05-31 17:41

Also, try attaching your FlexRAID.sys.log file.
(0000203)
stigma (reporter)
2011-05-31 18:24

logfile in private note. (I assume you can see it Brahim?)
(0000204)
Brahim (manager)
2011-05-31 18:53

Yeah, I can see it.
Will report back later.
(0000205)
Brahim (manager)
2011-05-31 23:25
edited on: 2011-05-31 23:26

Hum... it very hard to pickup much from so much log.

Can you stop both the FlexRAID service and the Disk Manager service and then delete the FlexRAID.sys.log?

I want you to start fresh and send me the logs as soon as you experience the issue.

(0000206)
stigma (reporter)
2011-05-31 23:28

I will do a fresh log starting from when i create the pool and do the test immediately and send it. Either today or tomorrow. Will update.
(0000214)
stigma (reporter)
2011-06-01 02:58

New log created. Uploaded via bugtracker.
This was deleted right before creating a new pool - then copying about 9,5GB of medium-sized files to it. There is still only data on the first physical disk in the pool.
(0000228)
stigma (reporter)
2011-06-05 00:43

I see preview 9 is out. Let me know if you need me to re-run tests and generate new logs on this build. I don't know if that would be relevant at all to this problem or not.
(0000236)
Brahim (manager)
2011-06-05 15:23

Yes, please test using build 9.
(0000254)
stigma (reporter)
2011-06-09 22:00

I will redo tests with the new build. Might take a little while though as I am dealing with a couple of hardware issues before I start any new software test (they are unrelated to this problem, except in that they delay me).
(0000311)
Brahim (manager)
2011-06-24 15:36

Any update on this?
(0000313)
stigma (reporter)
2011-06-25 09:07

It is still on my mind - but due to the schedule in the near future it is unlikely I will be able to update in the next 2 weeks. I intend to do so as soon as I can though. Just leave the bug open if that is ok and I will get back to it as soon as I get around to re-test on the new server hardware I am putting up.
(0000365)
dsopik (reporter)
2011-07-26 23:18

I also have this exact problem using Build 11. I have copied my text from my forum entry that I input today. I will clear my log file and reproduce this issue and then upload the log file. Please let me know of any other testing I can do to help. THANKS!

From the Forum:

I am using Flexraid 2.0 Build 11 running under Windows 7 ultimate 64 Bit. It is a very impressive program! I have set up the Flexraid service and drivepool successfully using the WebUI and have tried a few tests, but I am still unclear how the auto merge mode works for Auto-Balanced-Space-Priority.

My ViewConfig.txt (which was setup through the WebUI) looks like this:

unique=c:\server\dru1;c:\server\dru2;c:\server\dru3;c:\server\dru4;c:\server\dru5

restrict=

thread=5

buffersize=10GB

removable=false


-s:\

|-*Auto-Balanced-Space-Priority

After starting up the drivepool, I saw the s:\ (virtual drive pool) in Windows Explorer. I then created a Video folder on s:\ (virtual drive pool) and began to copy folders of .avi's into this video folder and everything showed up perfectly. Next I took a look at the logical drives and noticed that only the 1st one contained the Video folder and all of the .avi subfolders. The other 4 logical drives did not contain any folder structure at all.
(0000449)
Brahim (manager)
2011-08-30 12:05

Okay, this pesky bug should be resolved in the next build.

- Issue History
Date Modified Username Field Change
2011-05-30 00:02 stigma New Issue
2011-05-31 12:43 Brahim Version 2.0 build 8 => 2.0 build 8
2011-05-31 12:43 Brahim Note Added: 0000198
2011-05-31 12:43 Brahim Assigned To => Brahim
2011-05-31 12:43 Brahim Status new => feedback
2011-05-31 17:41 Brahim Note Added: 0000200
2011-05-31 18:19 stigma Status feedback => assigned
2011-05-31 18:24 stigma Note Added: 0000203
2011-05-31 18:53 Brahim Note Added: 0000204
2011-05-31 23:25 Brahim Note Added: 0000205
2011-05-31 23:25 Brahim Status assigned => feedback
2011-05-31 23:26 Brahim Note Edited: 0000205 View Revisions
2011-05-31 23:28 stigma Note Added: 0000206
2011-05-31 23:28 stigma Status feedback => assigned
2011-06-01 02:57 stigma File Added: FlexRAID.sys - Copy.rar
2011-06-01 02:58 stigma Note Added: 0000214
2011-06-05 00:43 stigma Note Added: 0000228
2011-06-05 15:23 Brahim Note Added: 0000236
2011-06-05 15:23 Brahim Status assigned => feedback
2011-06-09 22:00 stigma Note Added: 0000254
2011-06-09 22:00 stigma Status feedback => assigned
2011-06-24 15:36 Brahim Merge Mode => Auto-Folder-Priority
2011-06-24 15:36 Brahim Note Added: 0000311
2011-06-24 15:36 Brahim Status assigned => feedback
2011-06-25 09:07 stigma Note Added: 0000313
2011-06-25 09:07 stigma Status feedback => assigned
2011-07-26 23:18 dsopik Note Added: 0000365
2011-07-26 23:30 dsopik File Added: ViewConfig.txt
2011-07-26 23:40 dsopik File Added: log.log
2011-08-30 12:05 Brahim Merge Mode Auto-Folder-Priority => Auto-Space-Priority
2011-08-30 12:05 Brahim Version 2.0 build 8 => 2.0beta1
2011-08-30 12:05 Brahim Note Added: 0000449
2011-08-30 12:05 Brahim Status assigned => resolved
2011-08-30 12:05 Brahim Resolution open => fixed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker